#
# spec file for package gnu-unifont-bitmap-fonts
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define	fontdir     %{_fontsdir}/uni
Name:           gnu-unifont-bitmap-fonts
Version:        10.0.07
Release:        lp150.1.1
Summary:        The GNU Unicode Bitmap Font
License:        GPL-2.0+
Group:          System/X11/Fonts
Url:            http://unifoundry.com/unifont.html
Source0:        https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont-%{version}.pcf.gz
Source1:        https://ftp.gnu.org/gnu/unifont/unifont-%{version}/unifont-%{version}.pcf.gz.sig
Source2:        http://unifoundry.com/LICENSE.txt
BuildRequires:  fontpackages-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
The GNU Unifont by Roman Czyborra is a free bitmap font that
covers the Unicode Basic Multilingual Plane (BMP), using an
intermediate bitmapped font format.

%prep
cp %{SOURCE2} COPYING

%build
:

%install
mkdir -p %{buildroot}%{fontdir}
install -m 444 -D %{SOURCE0} %{buildroot}%{fontdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc COPYING
%{fontdir}

%changelog
* Thu Feb  1 2018 astieger@suse.com
- unifont 10.0.07:
  * Additions and updates to various scripts and glyphs
* Mon Jul 10 2017 astieger@suse.com
- Unifont 10.0.04:
  * Add support for double diacritic combining characters
  * Extend the unifontpic utility so that it can print Unifont
    charts of any Unicode plane from 0 through 17, inclusive, not
    just plane 0
- includes changes from 10.0.03:
  * modify src/hex2sfd for handling of combining characters while
    being typed in a text editing application. The glyphs are
    identical to those in the Unifont 10.0.02 release.
- includes changes from 10.0.02:
  * touch up the U+03xx block, which includes modern Greek
  * fix one glyph in the Aiha ConScript Unicode Registry (CSUR)
    script in the Private Use Area
- includes changes from 10.0.01:
  * fixes most bugs that were reported since the previous release.
  * Add script: Zanabazar Square (U+011A00..U+011A4F)
  * Add script: Masaram Gondi (U+011D00..U+011D5F)
  * Add script: Syriac Supplement (U+0860..U+086F)
  * Add script: Soyombo (U+011A50..U+011AAF)
* Sun Jul  3 2016 aloisio@gmx.com
- Update to version 9.0.01
  * This is the first release for Unicode 9.0.0, which The
    Unicode Consortium formally released on 21 June 2016. In
    addition to complete Basic Multilingual Plane coverage,
    this release includes all scripts that can easily be drawn
    in a 16-by-16 grid in the Supplemental Multilingual Plane
    as of Unicode 9.0. This SMP coverage is a major milestone
    for Unifont.
    + Johnnie Weaver has contributed many Supplemental
    Multilingual Plane glyphs, allowing completion of all SMP
    scripts that are easily drawn in a 16-by-16 pixel grid::
    U+0104B0..U+0104FF Osage
    U+011280..U+0112AF Multani
    U+0112B0..U+0112FF Khudawadi
    U+011600..U+01165F Modi
    U+011700..U+01173F Ahom
    U+0118A0..U+0118FF Warang Citi
    U+011AC0..U+011AFF Pau Cin Hau
    U+011C00..U+011C6F Bhaiksuki
    U+011C70..U+011CBF Marchen
    U+016A40..U+016A6F Mro
    U+016AD0..U+016AFF Bassa Vah
    U+01E000..U+01E02F Glagolitic Supplement
    U+01E900..U+01E95F Adlam
    + Terence Eden contributed the new power symbols in the range
    U+23FB..U+23FE. Terence proposed adding those glyphs to
    Unicode, and got them adopted in the Unicode 9.0.0 release.
    Paul Hardy drew the rest of the glyphs added to this
    release. This included a complete redrawing of the Unified
    Canadian Aboriginal Syllabics (U+1400..U+167F) and the
    Unified Canadian Aboriginal Syllabics Extended
    (U+18B0..U+18FF) scripts. This also included rotating the
    Mongolian and Phags Pa scripts, as per changes of The
    Unicode Consortium in changing their default representation
    from vertical writing to horizontal writing. Paul added
    these scripts:
    U+1C80..U+1C8F Cyrillic Extended-C
    U+011300..U+01137F Grantha
    U+011400..U+01147F Newa
    U+011480..U+0114DF Tirhuta
    U+011660..U+01167F Mongolian Supplement
    U+016FE0..U+016FFF Ideographic Symbols and Punctuation
    U+01BC00..U+01BC9F Duployan
    U+01E800..U+01E8DF Mende Kikakui
    U+01F900..U+01F9FF Supplemental Symbols and Pictographs
    + Michael Walden drew my attention (pun intended) to a
    multitude of glyph issues, which I have addressed in this
    release. A comprehensive list of glyphs altered from his
    suggestions appear in the ChangeLog file in the main
    tarball.
- Replaced gpl-2.0.txt with a link to LICENSE.txt from the
  project homepage.
- Updated Url line
* Thu Oct  1 2015 tiwai@suse.de
- don't provide gnu-unifont alias, which is given by the legacy
  bitmap-fonts package for compatibility
* Fri Sep 11 2015 mchang@suse.com
- fix installed unifont name to be unifont.pcf.gz
* Mon Sep  7 2015 sleep_walker@opensuse.org
- bump to 8.0.01
  first release for Unicode 8.0
- applied spec-cleaner
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Fri Jan 13 2012 toms@opensuse.org
- Fixed SPEC file:
  * Solved the "incorrect-fsf-address" warning of rpmlint by
    using original gpl-2.0.txt file from the FSF, overwriting
    COPYING in archive
  * Improved description a bit
  * Fixed unfortunate typo in Obsoletes (guu-unifont -> gnu-unifont)
* Thu Jan 12 2012 tiwai@suse.de
- Renamed gnu-unifont -> gnu-unifont-bitmap-fonts according to
  openSUSE packaging guidelines and FATE#313035
* Thu Apr  8 2010 tiwai@suse.de
- removed unnecessary buildrequires for too old distros
* Wed Jan 23 2008 mfabian@suse.de
- new package gnu-unifont. Has been split out of the
  yast2-qt package.
